v2:
  #虚拟路径映射路径 2个文件路径一一对应 第一个为主存储，其他为配置相关
  xnljmap:
    #win服务器  本地 注意！！ 记住这个结尾有一个/
    oss: file:/data/qomo-boot/oss/
    #    oss: file:D:/upload/
    #linux服务器
    #oss: file:/home/webapps/oss/
  #虚拟路径映射路径 end
  #本地存放地址 注意！！ 记住这个结尾没有/
  fileurl: /data/qomo-boot/oss
  #  fileurl: D:/upload
  #http://127.0.0.1:8080/oss/{yy}/2022-12-22/c83a77ae134a540c30daa6a0666fa945.md
  httpurl: /qomo/
  defaultFormat: .png

server:
  port: 8099
  tomcat:
    max-swallow-size: -1
  error:
    include-exception: true
    include-stacktrace: ALWAYS
    include-message: ALWAYS
  servlet:
    context-path: /qomo
  compression:
    enabled: true
    min-response-size: 1024
    mime-types: application/javascript,application/json,application/xml,text/html,text/xml,text/plain,text/css,image/*

management:
  endpoints:
    web:
      exposure:
        include: metrics,httptrace

spring:
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 10MB
  mail:
    host: smtp.163.com
    username: jeecgos@163.com
    password: ??
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
            required: true
  ## quartz定时任务,采用数据库方式
  quartz:
    job-store-type: jdbc
    initialize-schema: embedded
    #定时任务启动开关，true-开  false-关
    auto-startup: true
    #延迟1秒启动定时任务
    startup-delay: 1s
    #启动时更新己存在的Job
    overwrite-existing-jobs: true
    properties:
      org:
        quartz:
          scheduler:
            instanceName: MyScheduler
            instanceId: AUTO
          jobStore:
            class: org.springframework.scheduling.quartz.LocalDataSourceJobStore
            driverDelegateClass: org.quartz.impl.jdbcjobstore.StdJDBCDelegate
            tablePrefix: QRTZ_
            isClustered: true
            misfireThreshold: 12000
            clusterCheckinInterval: 15000
          threadPool:
            class: org.quartz.simpl.SimpleThreadPool
            threadCount: 10
            threadPriority: 5
            threadsInheritContextClassLoaderOfInitializingThread: true
  #json 时间戳统一转换
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  jpa:
    open-in-view: false

  # http请求配置
  rest:
    livy:
      server: http://192.168.50.9:7997
      spark:
        # 组件部署路径，默认是部署在hdfs 如果是本地路径则在前面加上local:
        main-jar: local:/opt/services/deploy-jars/dev/qomo-data-component-${Qomo.version}-jar-with-dependencies.jar
        main-class: com.zzsmart.qomo.QomoSparkStarter
        # spark默认运行参数
        deploy-mode: cluster
        queue: default
        num-executors: 2
        executor-cores: 1
        executor-memory: 1G
        driver-cores: 1
        driver-memory: 512M
    # 客户端类型
    client-type: urlconnection
    # URLConnection配置
    url-connection:
      # 客户端和服务器建立连接超时时间
      connect-timeout: 2000
      # 客户端从服务器读取数据包超时时间
      read-timeout: 30000
      # 是否长链接
      keep-alive: false
    # HttpClient配置
    http-client:
      # 连接池的最大连接数
      max-total-connect: 200
      # 相同域名允许创建的最大连接数
      max-connect-per-route: 10
      # 客户端和服务器建立连接超时时间
      connect-timeout: 2000
      # 读数据的超时时间
      socket-timeout: 30000
      # 连接池创建连接时的超时时间
      connection-request-timout: 200
    # OKHttp配置
    ok-http:
      # 失败后是否重试
      retry-on-connection-failure: false
      # 链接超时时间
      connect-timeout: 2000
      # 读超时时间
      read-timeout: 10000
      # 写超时时间
      write-timeout: 10000
      # 最大空闲的连接数
      max-idle-connections: 5
      # 最大的空闲时间
      keep-alive-duration-ns: 3000

  aop:
    proxy-target-class: true
  #配置freemarker
  freemarker:
    # 设置模板后缀名
    suffix: .ftl
    # 设置文档类型
    content-type: text/html
    # 设置页面编码格式
    charset: UTF-8
    # 设置页面缓存
    cache: false
    prefer-file-system-access: false
    # 设置ftl文件路径
    template-loader-path:
      - classpath:/templates
    template_update_delay: 0
  # 设置静态文件路径，js,css等
  mvc:
    static-path-pattern: /**
    #Spring Boot 2.6+后映射匹配的默认策略已从AntPathMatcher更改为PathPatternParser,需要手动指定为ant-path-matcher
    pathmatch:
      matching-strategy: ant_path_matcher
  resource:
    static-locations: classpath:/static/,classpath:/public/
  autoconfigure:
    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure
  datasource:
    druid:
      stat-view-servlet:
        enabled: true
        loginUsername: admin
        loginPassword: 123456
        allow:
      web-stat-filter:
        enabled: true
    dynamic:
      druid: # 全局druid参数，绝大部分值和默认保持一致。(现已支持的参数如下,不清楚含义不要乱设置)
        # 连接池的配置信息
        # 初始化大小，最小，最大
        initial-size: 5
        min-idle: 5
        maxActive: 20
        # 配置获取连接等待超时的时间
        maxWait: 60000
        # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        timeBetweenEvictionRunsMillis: 60000
        # 配置一个连接在池中最小生存的时间，单位是毫秒
        minEvictableIdleTimeMillis: 300000
        validationQuery: SELECT 1
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        # 打开PSCache，并且指定每个连接上PSCache的大小
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
        # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
        filters: stat,slf4j
        filter:
          wall:
            config:
              none-base-statement-allow: true
              multi-statement-allow: true
        # 通过connectProperties属性来打开mergeSql功能；慢SQL记录
        connectionProperties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000
      datasource:
#        master:
#          url: jdbc:mysql://192.168.50.9:2212/selef_report?useUnicode=true&allowMultiQueries=true&characterEncoding=utf8&autoReconnect=true&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&allowPublicKeyRetrieval=true&nullCatalogMeansCurrent=true&serverTimezone=Asia/Shanghai&useSSL=false
#          username: zzzz
#          password: knphm2021
#          driver-class-name: com.mysql.cj.jdbc.Driver
        master:
          url: jdbc:mysql://158.158.4.51:3386/kn_energy_cost?useUnicode=true&allowMultiQueries=true&characterEncoding=utf8&autoReconnect=true&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&allowPublicKeyRetrieval=true&nullCatalogMeansCurrent=true&serverTimezone=Asia/Shanghai&useSSL=false
          username: root
          password: knEnergyCost0826#
          driver-class-name: com.mysql.cj.jdbc.Driver
          # 多数据源配置
          #multi-datasource1:
          #url: jdbc:mysql://localhost:3306/jeecg-boot2?useUnicode=true&characterEncoding=utf8&autoReconnect=true&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai
          #username: root
          #password: root
          #driver-class-name: com.mysql.cj.jdbc.Driver
  #redis 配置
#  redis:
#    database: 5
#      host: 121.40.189.20
#      port: 6389
  redis:
    database: 9
    host: 192.168.50.9
    port: 7379
    password: 'zzboard'
    main:
      allow-circular-references: true
#  redis:
#    database: 10
#    host: localhost
#    port: 6379
#    main:
#      allow-circular-references: true

  #rabbitmq 配置
  rabbitmq:
    host: 192.168.50.9
    port: 5672
    virtual-host: /qomoflow-standardcost
    username: admin
    password: kncloud
    connection-timeout: 5000
    listener:
      simple:
        concurrency: 5 # 并发数量
        max-concurrency: 10 # 最大并发数量
        acknowledge-mode: manual # 开启手动签收
        prefetch: 1 # 限制每次只消费一个(一个线程)

#mybatis plus 设置
mybatis-plus:
  mapper-locations: classpath*:org/jeecg/modules/**/xml/*Mapper.xml,classpath*:/mapper/*.xml,classpath*:com/zzsmart/qomo/**/mapper/xml/*.xml
  global-config:
    # 关闭MP3.0自带的banner
    banner: false
    db-config:
      #主键类型  0:"数据库ID自增",1:"该类型为未设置主键类型", 2:"用户输入ID",3:"全局唯一ID (数字类型唯一ID)", 4:"全局唯一ID UUID",5:"字符串全局唯一ID (idWorker 的字符串表示)";
      id-type: ASSIGN_ID
      # 默认数据库表下划线命名
      table-underline: true
  configuration:
    # 这个配置会将执行的sql打印出来，在开发或测试的时候可以用
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    #    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
    # 返回类型为Map,显示null对应的字段
    call-setters-on-nulls: true
  security:
    enabled: false
#jeecg专用配置
minidao:
  base-package: org.jeecg.modules.jmreport.*,org.jeecg.modules.drag.*
jeecg:
  # 是否启用安全模式
  safeMode: false
  # 签名密钥串(前后端要一致，正式发布请自行修改)
  signatureSecret: dd05f1c54d63749eda95f9fa6d49v442a
  # 签名拦截接口
  signUrls: /sys/dict/getDictItems/*,/sys/dict/loadDict/*,/sys/dict/loadDictOrderByValue/*,/sys/dict/loadDictItem/*,/sys/dict/loadTreeData,/sys/api/queryTableDictItemsByCode,/sys/api/queryFilterTableDictInfo,/sys/api/queryTableDictByKeys,/sys/api/translateDictFromTable,/sys/api/translateDictFromTableByKeys
  #local、minio、alioss
  uploadType: local
  # 前端访问地址
  domainUrl:
    pc: http://localhost:3100
    app: http://localhost:8051
  path:
    #文件上传根目录 设置
    upload: /opt/upFiles
    #webapp文件路径
    webapp: /opt/webapp
  shiro:
    excludeUrls: /api/internalService/**,/test/jeecgDemo/demo3,/test/jeecgDemo/redisDemo/**,/category/**,/visual/**,/map/**,/jmreport/bigscreen2/**,/api/getUserInfo,/sys/sysDepart/**,/taskSocket/**,/flowSocket/**,/dataCheck/**
  #    excludeUrls: /**/**,/**/**/**

  #阿里云oss存储和大鱼短信秘钥配置
  oss:
    accessKey: ??
    secretKey: ??
    endpoint: oss-cn-beijing.aliyuncs.com
    bucketName: jeecgdev
  # ElasticSearch 6设置
  elasticsearch:
    cluster-name: elasticsearch-cluster
    cluster-nodes: 192.168.50.9:9200
    check-enabled: false
    task-data-index: task_data_dev/_doc
    task-data-struct-index: task_data_struct_dev/_doc
    task-data-temp-index: task_data_temp_dev/_doc
    task-log-index: task_log_dev/_doc
    task-record-index: clean_data_record/_doc
  # 在线预览文件服务器地址配置
  file-view-domain: http://fileview.jeecg.com
  # minio文件上传
  minio:
    minio_url: http://minio.jeecg.com
    minio_name: ??
    minio_pass: ??
    bucketName: otatest
  #大屏报表参数设置
  jmreport:
    mode: dev
    #数据字典是否进行saas数据隔离，自己看自己的字典
    saas: false
  #xxl-job配置
  xxljob:
    enabled: false
    adminAddresses: http://127.0.0.1:9080/xxl-job-admin
    appname: ${spring.application.name}
    accessToken: ''
    address: 127.0.0.1:30007
    ip: 127.0.0.1
    port: 30007
    logPath: logs/jeecg/job/jobhandler/
    logRetentionDays: 30
  #分布式锁配置
  redisson:
    address: 127.0.0.1:6379
    password:
    type: STANDALONE
    enabled: true
#cas单点登录
cas:
  server:
    host:
      #CAS服务地址
      url: http://192.168.50.9:8167/cas
#Mybatis输出sql日志
logging:
  level:
    org.jeecg.modules.system.mapper: info
#swagger
knife4j:
  #开启增强配置
  enable: true
  #开启生产环境屏蔽
  production: false
  basic:
    enable: false
    username: jeecg
    password: jeecg1314
#第三方登录
justauth:
  enabled: true
  type:
    GITHUB:
      client-id: ??
      client-secret: ??
      redirect-uri: http://sso.test.com:8080/jeecg-boot/sys/thirdLogin/github/callback
    WECHAT_ENTERPRISE:
      client-id: ??
      client-secret: ??
      redirect-uri: http://sso.test.com:8080/jeecg-boot/sys/thirdLogin/wechat_enterprise/callback
      agent-id: ??
    DINGTALK:
      client-id: ??
      client-secret: ??
      redirect-uri: http://sso.test.com:8080/jeecg-boot/sys/thirdLogin/dingtalk/callback
    WECHAT_OPEN:
      client-id: ??
      client-secret: ??
      redirect-uri: http://sso.test.com:8080/jeecg-boot/sys/thirdLogin/wechat_open/callback
  cache:
    type: default
    prefix: 'demo::'
    timeout: 1h
#第三方APP对接
third-app:
  enabled: false
  type:
    #企业微信
    WECHAT_ENTERPRISE:
      enabled: false
      #CORP_ID
      client-id: ??
      #SECRET
      client-secret: ??
      #自建应用id
      agent-id: ??
      #自建应用秘钥（新版企微需要配置）
      # agent-app-secret: ??
    #钉钉
    DINGTALK:
      enabled: false
      # appKey
      client-id: ??
      # appSecret
      client-secret: ??
      agent-id: ??

spark:
  app:
    name: yl
  home: 127.0.0.1
  master:
    uri: local[*]
  driver:
    memory: 2g
  worker:
    memory: 2g
  executor:
    memory: 1g
  rpc:
    message:
      maxSize: 1024

flowable:
  process:
    definition-cache-limit: -1
  database-schema-update: true
  activity-font-name: 宋体
  label-font-name: 宋体
  annotation-font-name: 宋体
  #关闭定时任务JOB
  async-executor-activate: false
  #消息链接基地址
  message-base-url: http://192.168.50.9:3000/flowable/task/record/

Qomo:
  version: @project.version@

modelPath: /opt/deploy/qomo/backend/algo/model
seaTunnelHome: /opt/service/apache-seatunnel-2.3.4
hiveMetastoreUri: thrift://192.168.50.102:9083
hiveSitePath: /opt/service/apache-seatunnel-2.3.4/deploy/hive-site.xml
hdfsSitePath: /opt/service/apache-seatunnel-2.3.4/deploy/hdfs-site.xml
hdfs:
  enable: false
minio:
  server: http://192.168.50.9
  port: 9100
  access-key: admin
  secret-key: qm123456

condaEnv: py310
tikaServerUrl: http://192.168.50.99:8099/qomo-tika/